## open-plc-utils 0.0.6+git20250712.46c3506

=== Makefile ===
#!/usr/bin/make -f
# file: plc-utils/Makefile
# Published 2010 by Qualcomm Atheros;

# ====================================================================
# target platform symbols;
# --------------------------------------------------------------------

include make.def

# ====================================================================
# package symbols;
# --------------------------------------------------------------------

PROJECT=open-plc-utils
RELEASE=$(shell basename "${CURDIR}")
LIBRARY=${FTP}/toolkit/${RELEASE}
CDROM=${FTP}/cdrom/${RELEASE}
FOLDERS=ether key mdio mme nvm nodes pib plc ram serial slac tools VisualStudioNET 
EXCLUDE=--exclude=.git --exclude=.#* --exclude=*.[0-9][0-9][0-9]

# ====================================================================
# installation targets;
# --------------------------------------------------------------------

.PHONY: all compile compact scripts manuals install uninstall check fresh clean ignore

all compile compact scripts manuals install uninstall check fresh clean ignore:
	@for folder in ${FOLDERS}; do ${MAKE} -C $${folder} ${@} || exit 1; done

# ====================================================================
# releasetargets;
# --------------------------------------------------------------------

.PHONY: package library prepare cleanse 

debian: clean
	dpkg-buildpackage -rfakeroot -uc -us
debian-setup:
	apt-get install dpkg-dev debhelper devscripts fakeroot linda
#	apt-get install dpkg dpkg-dev debhelper dh-make devscripts quilt
package: archive prepare library mine
prepare: 
	rm -fr t.* install.* *.err *.log 
	rm -fr */t.* */install.* */*.err */*.log */*.o */*.[0-9][0-9][0-9]
library: 
	install -m 6775 -o root -g fae -d ${LIBRARY} 
	install -m 0555 -o root -g root VisualStudioNET/*.msi ${LIBRARY}
	install -m 0555 -o root -g root ../${RELEASE}.tar.* ${LIBRARY}
	cp -r VisualStudioNET/Programs/* ${LIBRARY}/programs
	crlf -w < CHANGES > ${LIBRARY}/_CHANGES.txt
	crlf -w < README > ${LIBRARY}/_README.txt
	crlf -w < LICENCES > ${LIBRARY}/_LICENSES.txt
	crlf -w < NOTICES > ${LIBRARY}/_NOTICES.txt
	ls -la ${LIBRARY}/*.tar.*
	ls -la ${LIBRARY}/*.msi

# ====================================================================
# maintain;
# --------------------------------------------------------------------

.PHONY: archive restore 

archive: clean 
	tar ${EXCLUDE} -vzcf ../${RELEASE}.tar.gz  -C .. ${RELEASE}
	tar ${EXCLUDE} -vjcf ../${RELEASE}.tar.bz2 -C .. ${RELEASE}
restore:
	tar -vzxf ../${RELEASE}.tar.gz -C ..

=== VisualStudioNET/Makefile ===
#!/usr/bin/make -f
# file: VisualStudioNET/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# 
# --------------------------------------------------------------------

CFLAGS+=
LDFLAGS+=
TRASH=*.o t t.* *.[0-9][0-9][0-9] *~ *.log *.obj *.exe *.suo *.ncb 
TOOLS=

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS}
library:
#	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts manuals:
install: $(TOOLS) library
#	install -m ${BIN_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
#	cd ${BIN}; rm -f ${TOOLS}
#	cd ${MAN}; rm -f ${PAGES}
fresh: clean compile
check:
clean:
	rm -fr _UpgradeReport_Files *.XML .#*
	rm -fr */[Dd]ebug */[Rr]elease */*.[0-9][0-9][0-9] 
	rm -fr Objects/*/*.?db */*.log */*.tlog */*/*.manifest
	rm -f ${TOOLS} ${TRASH} 
ignore:
#
#	Do not over-write the local .gitignore file; we maintain it
#	by hand for now;
#
#	echo ${TOOLS} | tr ' ' '\n' > .gitignore
#

=== ether/Makefile ===
#!/usr/bin/make -f
# file: ether/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

CFLAGS+=
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9]
FILES=Makefile *.mak *.sh *.c *.h
TOOLS=efbu efeu efru efsu edru edsu nics
PAGES=efbu.1 efeu.1 efru.1 efsu.1 edru.1 edsu.1 pcapdevs.1 nics.1

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS}
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts:
manuals:
	test -d ${MAN} || install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${MAN}
	install -m ${MAN_PERM} -o ${OWNER} -g ${GROUP} ${PAGES} ${MAN}
install: $(TOOLS) library
	install -m ${SUID_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
	cd ${BIN}; rm -f ${TOOLS}
	cd ${MAN}; rm -f ${PAGES}
check:
	${SHELL} ether.sh
fresh: clean compile
clean:
	rm -f ${TRASH} ${TOOLS}
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
# rules;
# --------------------------------------------------------------------

%: %.o
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}
%.h: %.h

# ====================================================================
# Build C version;
# --------------------------------------------------------------------

pcapdevs: pcapdevs.o getoptv.o putoptv.o version.o error.o hexdecode.o gethwaddr.o
efbu: efbu.o getoptv.o putoptv.o version.o error.o todigit.o hexencode.o uintspec.o hexdump.o channel.o initchannel.o openchannel.o sendpacket.o readpacket.o closechannel.o todigit.o channel.o basespec.o desuid.o
efru: efru.o getoptv.o putoptv.o version.o basespec.o uintspec.o todigit.o hexdump.o error.o channel.o initchannel.o openchannel.o closechannel.o sendpacket.o readpacket.o desuid.o
efeu: efeu.o getoptv.o putoptv.o version.o basespec.o uintspec.o todigit.o hexdump.o error.o channel.o initchannel.o openchannel.o closechannel.o sendpacket.o readpacket.o memswap.o desuid.o
efsu: efsu.o getoptv.o putoptv.o version.o error.o todigit.o hexencode.o uintspec.o hexload.o hexdump.o channel.o initchannel.o openchannel.o sendpacket.o readpacket.o closechannel.o todigit.o basespec.o channel.o synonym.o desuid.o
edru: edru.o getoptv.o putoptv.o version.o error.o hexdump.o hexdecode.o hexstring.o channel.o initchannel.o openchannel.o closechannel.o sendpacket.o readpacket.o uintspec.o todigit.o basespec.o desuid.o
edsu: edsu.o getoptv.o putoptv.o version.o efreopen.o uintspec.o todigit.o hexdump.o hexencode.o error.o channel.o initchannel.o openchannel.o closechannel.o readpacket.o sendpacket.o basespec.o desuid.o
nics: nics.o getoptv.o putoptv.o version.o error.o hexdecode.o decdecode.o hexstring.o decstring.o hostnics.o 
client: client.o getoptv.o putoptv.o version.o error.o 
server: server.o getoptv.o putoptv.o version.o error.o 

# ====================================================================
# includes;
# --------------------------------------------------------------------

include ../tools/tools.mak
include ../ether/ether.mak
include ../plc/plc.mak

=== mdio/Makefile ===
#!/usr/bin/make -f
# file: int6k/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

CFLAGS+=-DINT6x00
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9]
FILES=Makefile *.mak *.sh *.c *.h 
TOOLS=mdioblock mdioblock2 mdiodump mdiogen
PAGES=mdioblock.1 mdioblock2.1 mdiodump.1 mdiogen.1

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS}
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts:
manuals:
	test -d ${MAN} || install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${MAN}
	install -m ${MAN_PERM} -o ${OWNER} -g ${GROUP} ${PAGES} ${MAN}
install: $(TOOLS) library
	install -m ${BIN_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
	cd ${BIN}; rm -f int6k ${TOOLS}
	cd ${MAN}; rm -f int6k ${PAGES}
fresh: clean compile
clean:
	rm -f ${TRASH} ${TOOLS}
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
# programs;     
# --------------------------------------------------------------------

%: %.o
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}
%.h: %.h

# ====================================================================
# programs;     
# --------------------------------------------------------------------

mdioblock: mdioblock.o error.o getoptv.o putoptv.o todigit.o version.o
mdioblock2: mdioblock2.o error.o getoptv.o putoptv.o todigit.o version.o
mdiodump: mdiodump.o assist.o error.o codelist.o getoptv.o hexdecode.o hexstring.o lookup.o putoptv.o version.o
mdiogen: mdiogen.o error.o

# ====================================================================
# includes;
# --------------------------------------------------------------------

include ../mdio/mdio.mak
include ../tools/tools.mak
include ../key/key.mak
include ../ether/ether.mak
include ../nodes/nodes.mak
include ../ram/ram.mak
include ../pib/pib.mak
include ../nvm/nvm.mak
include ../mme/mme.mak
include ../plc/plc.mak

=== nodes/Makefile ===
#!/usr/bin/make -f
# file: nodes/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

CFLAGS+=
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9]
FILES=Makefile *.mak *.sh *.txt *.c *.h
TOOLS=

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS}
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
library:
#	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts manuals:
install: $(TOOLS) library
#	install -m ${BIN_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
#	cd ${BIN}; rm -f ${TOOLS}
check:
	${SHELL} nodes.sh
fresh: clean compile
clean:
	rm -f ${TOOLS} ${TRASH}
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
#  
# --------------------------------------------------------------------

%: %.o
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}
$.h: %.h

# ====================================================================
#  
# --------------------------------------------------------------------

include ../nodes/nodes.mak

=== plc/Makefile ===
#!/usr/bin/make -f
# file: plc/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

CFLAGS+=-DAR7x00
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9]
FILES=Makefile *.mak *.sh *.txt *.c
TOOLS=int6k int6kboot int6keth int6kf int6khost int64host int6kid int6klist int6klog int6kmdio int6kmdio2 int6kmod int6kstat int6ktest int6krate int6krule int6ktone int6kwait CMEncrypt sada coqos_add coqos_info coqos_man coqos_mod coqos_rel mdustats
TOOLS+=ampboot amphost ampID amplist amprate amprule ampstat amptest amptool amptone ampwait
TOOLS+=plcboot plchost plcID plclist plcrate plcrule plcstat plctest plctool plctone plcwait plchostd plchostd2 plcget plcset plcotst plcfwd plcdevs plclog plcmdio16 plcmdio32
PAGES=plc.1
PAGES+=int6k.1 int6kboot.1 int6keth.1 int6kid.1 int6kf.1 int6khost.1 int64host.1 int6klist.1 int6klog.1 int6kmdio.1 int6kmdio2.1 int6kmod.1 int6kstat.1 int6ktest.1 int6ktone.1 int6krate.1 int6krule.1 int6kwait.1 CMEncrypt.1 sada.1 coqos_add.1 coqos_info.1 coqos_man.1 coqos_mod.1 coqos_rel.1 mdustats.1
PAGES+=ampboot.1 amphost.1 ampID.1 amplist.1 amprate.1 amprule.1 ampstat.1 amptest.1 amptool.1 amptone.1 ampwait.1
PAGES+=plcboot.1 plchost.1 plcID.1 plclist.1 plcrate.1 plcrule.1 plcstat.1 plctest.1 plctool.1 plctone.1 plcwait.1 plchostd.1 plchostd2.1 plcget.1 plcset.1 plcotst.1 plcfwd.1 plcdevs.1 plclog.1 plcmdio16.1 plcmdio32.1

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS}
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts:
manuals:
	test -d ${MAN} || install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${MAN}
	install -m ${MAN_PERM} -o ${OWNER} -g ${GROUP} ${PAGES} ${MAN}
install: $(TOOLS) library
	install -m ${SUID_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
	cd ${BIN}; rm -f ${TOOLS}
	cd ${MAN}; rm -f ${PAGES}
check:
	${SHELL} plc.sh
fresh: clean compile
clean:
	rm -f ${TRASH} ${TOOLS}
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
# programs;
# --------------------------------------------------------------------

%: %.o
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}

# ====================================================================
# programs;
# --------------------------------------------------------------------

ampboot: ampboot.o BootDevice1.o BootFirmware1.o BootParameters1.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o FlashDevice1.o FlashNVM.o InitDevice1.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o StartFirmware1.o UnwantedMessage.o WaitForReset.o WaitForStart.o WaitForRestart.o WriteExecuteFirmware1.o WriteFirmware1.o WriteMEM.o WriteNVM.o WritePIB.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o hexstring.o keys.o nvmfile1.o initchannel.o openchannel.o pibfile1.o pibpeek1.o putoptv.o readpacket.o sdramfile.o sdrampeek.o sendpacket.o strfbits.o todigit.o typename.o uintspec.o version.o WriteExecutePIB.o desuid.o
amphost: amphost.o BootDevice1.o BootFirmware1.o BootParameters1.o Confirm.o Devices.o EthernetHeader.o FactoryDefaults.o Failure.o FlashDevice1.o FlashNVM.o HostActionResponse.o InitDevice1.o MMECode.o ModuleRead.o QualcommHeader.o ReadFirmware1.o ReadMME.o ReadParameters1.o Request.o ResetDevice.o SendMME.o StartFirmware1.o UnwantedMessage.o WaitForReset.o WaitForStart.o WaitForRestart.o WriteExecuteFirmware1.o WriteFirmware1.o WriteMEM.o WriteNVM.o WritePIB.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o hexstring.o keys.o nvmfile1.o initchannel.o openchannel.o pibfile1.o pibpeek1.o putoptv.o readpacket.o sdramfile.o sdrampeek.o sendpacket.o strfbits.o todigit.o typename.o uintspec.o version.o WriteExecutePIB.o desuid.o
ampID: ampID.o Devices.o Display.o EthernetHeader.o MMECode.o QualcommHeader.o UnwantedMessage.o channel.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o hexout.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o uintspec.o version.o desuid.o
amplist: amplist.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o QualcommHeader1.o ListLocalDevices.o ListRemoteDevices2.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o channel.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o hexout.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o uintspec.o version.o desuid.o
amprate: amprate.o Antiphon.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o QualcommHeader1.o LocalDevices.o MMECode.o NetworkTraffic2.o PLCSelect.o PhyRates2.o QualcommHeader.o ReadMME.o Request.o ResetDevice.o RxRates2.o SendMME.o StationRole.o Traffic2.o Transmit.o UnwantedMessage.o VersionInfo1.o WaitForStart.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o hexencode.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o uintspec.o version.o desuid.o

amprule: amprule.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o hexstring.o MakeRule.o memout.o MMECode.o ParseRule.o PrintRule.o QualcommHeader.o ReadMME.o ReadRules.o Request.o reword.o SendMME.o UnwantedMessage.o assist.o basespec.o bytespec.o channel.o closechannel.o error.o codelist.o getoptv.o hexdecode.o hexdump.o hexencode.o ipv4spec.o ipv6spec.o lookup.o initchannel.o openchannel.o putoptv.o readpacket.o rules.o sendpacket.o synonym.o todigit.o uintspec.o version.o desuid.o

ampstat: ampstat.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o QualcommHeader1.o LinkStatistics.o LocalDevices.o MMECode.o NetworkInformation.o NetworkInformation1.o NetworkInformation2.o PLCSelect.o Platform.o QualcommHeader.o ReadMME.o Request.o SendMME.o Topology.o Topology1.o Topology2.o UnwantedMessage.o WaitForStart.o channel.o chipset.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o hexstring.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o uintspec.o version.o desuid.o
amptest: amptest.o ARPCPrint.o Confirm.o Devices.o Display.o EthernetHeader.o ExecuteApplets1.o Failure.o FirmwareMessage.o MMECode.o NVMSelect.o QualcommHeader.o Request.o SendMME.o StartFirmware1.o UnwantedMessage.o WaitForStart.o WriteExecuteFirmware1.o WriteFirmware1.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o nvmfile1.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o strfbits.o todigit.o typename.o uintspec.o version.o desuid.o
amptone: amptone.o Devices.o EthernetHeader.o Failure.o QualcommHeader1.o MMECode.o ReadMME.o SendMME.o SignalToNoise2.o ToneMaps2.o UnwantedMessage.o channel.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o hexstring.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o uintspec.o version.o desuid.o
amptool: amptool.o Attributes1.o Confirm.o Devices.o Display.o EthernetHeader.o FactoryDefaults.o Failure.o FlashNVM.o QualcommHeader1.o HostActionResponse.o Identity1.o MMECode.o NVRAMInfo.o NetInfo2.o PLCSelect.o PushButton.o QualcommHeader.o ReadFirmware1.o ReadMFG.o ReadMME.o ReadParameters1.o RemoteHosts.o Request.o ResetDevice.o SDRAMInfo.o SendMME.o SetNMK.o StartFirmware1.o StationRole.o UnwantedMessage.o VersionInfo1.o WaitForReset.o WaitForStart.o WatchdogReport.o WriteNVM.o WritePIB.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o hexencode.o hexout.o hexstring.o keys.o nvmfile1.o nvram.o initchannel.o openchannel.o pibfile1.o pibpeek1.o putoptv.o readpacket.o sdramfile.o sdrampeek.o sendpacket.o strfbits.o synonym.o todigit.o typename.o uintspec.o version.o desuid.o
ampwait: ampwait.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o QualcommHeader1.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o channel.o checkfilename.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o uintspec.o version.o desuid.o
chipset: chipset.o
coqos_add: coqos_add.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o assist.o basespec.o bytespec.o channel.o closechannel.o error.o codelist.o getoptv.o hexdecode.o hexdump.o hexencode.o ipv4spec.o ipv6spec.o lookup.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o uintspec.o version.o rules.o desuid.o
coqos_info: coqos_info.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o assist.o bytespec.o channel.o closechannel.o error.o codelist.o getoptv.o hexdecode.o hexdump.o hexencode.o ipv4spec.o ipv6spec.o lookup.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o version.o desuid.o
coqos_man: coqos_man.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o channel.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o uintspec.o version.o desuid.o
coqos_mod: coqos_mod.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o assist.o bytespec.o channel.o closechannel.o error.o codelist.o getoptv.o hexdecode.o hexdump.o hexencode.o ipv4spec.o ipv6spec.o lookup.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o version.o desuid.o
coqos_rel: coqos_rel.o Confirm.o Devices.o Display.o EthernetHeader.o Failure.o MMECode.o QualcommHeader.o ReadMME.o Request.o SendMME.o UnwantedMessage.o bytespec.o channel.o closechannel.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o ipv4spec.o ipv6spec.o initchannel.o openchannel.o putoptv.o readpacket.o sendpacket.o synonym.o todigit.o typename.o version.o desuid.o
int64host: int64host.o BootDevice1.o BootFirmware1.o BootParameters1.o Confirm.o Devices.o EmulateHost64.o EthernetHeader.o Failure.o FlashNVM.o HostActionResponse.o InitDevice1.o MMECode.o ModuleRead.o QualcommHeader.o ReadFirmware1.o ReadMME.o ReadParameters1.o Request.o ResetDevice.o SendMME.o StartFirmware1.o UnwantedMessage.o WaitForReset.o WaitForStart.o WriteCFG.o WriteExecuteFirmware1.o WriteFirmware1.o WriteMEM.o WriteNVM.o WritePIB.o channel.o checkfilename.o checksum32.o chipset.o closechannel.o error.o fdchecksum32.o getoptv.o hexdecode.o hexdump.o hexstring.o keys.o nvmfile1.o initchannel.o openchannel.o pibfile1.o pibpeek1.o putoptv.o readpacket.o sendpacket.o strfbits.o todigit.o typename.o uintspec.o version.o WriteExecutePIB.o desuid.o

=== ram/Makefile ===
#!/bin/make -f
# file: ram/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

CFLAGS+=
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9]
FILES=Makefile *.mak *.sh *.txt *.c *.h
TOOLS=config2cfg sdram 
PAGES=config2cfg.1 sdram.1

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS}
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts:
manuals:
	test -d ${MAN} || install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${MAN}
	install -m ${MAN_PERM} -o ${OWNER} -g ${GROUP} ${PAGES} ${MAN}
install: $(TOOLS) library
	install -m ${BIN_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
	cd ${BIN}; rm -f ${TOOLS}
	cd ${MAN}; rm -f ${PAGES}
check:
	${SHELL} ram.sh
fresh: clean compile
clean:
	rm -f ${TOOLS} ${TRASH}
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
# rules; 
# --------------------------------------------------------------------

%: %.o
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}
%.h: %.h

# ====================================================================
# programs; 
# --------------------------------------------------------------------

config2cfg: config2cfg.o getoptv.o putoptv.o version.o error.o checksum32.o hexencode.o todigit.o
sdram: sdram.o checksum32.o

# ====================================================================
# includes;
# --------------------------------------------------------------------

include ../tools/tools.mak
include ../key/key.mak
include ../ram/ram.mak
include ../pib/pib.mak
include ../plc/plc.mak

=== slac/Makefile ===
#!/usr/bin/make -f
# file: slac/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

# CFLAGS+= -DSLAC_DEBUG
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9] 
FILES=Makefile *.mak *.sh *.c *.h 
TOOLS=evse pev
PAGES=evse.1 pev.1

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS}
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts:
manuals:
	if [ ! -d ${MAN} ]; then install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${MAN}; fi
	install -m ${MAN_PERM} -o ${OWNER} -g ${GROUP} ${PAGES} ${MAN}
install: compile library
	install -m ${SUID_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
	cd ${BIN}; rm -f ${TOOLS}
	cd ${MAN}; rm -f ${PAGES}
clean:
	rm -f ${TRASH} ${TOOLS}
check:
	${SHELL} slac.sh
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
# rules;        
# --------------------------------------------------------------------

%: %.o
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}

# ====================================================================
# programs;     
# --------------------------------------------------------------------

evse: evse.o Devices.o EthernetHeader.o QualcommHeader.o HomePlugHeader1.o UnwantedMessage.o channel.o closechannel.o config.o decdecode.o decstring.o error.o evse_cm_atten_char.o evse_cm_mnbc_sound.o evse_cm_slac_match.o evse_cm_slac_param.o evse_cm_start_atten_char.o evse_cm_set_key.o getoptv.o hexdecode.o hexdump.o hexencode.o hexout.o hexstring.o initchannel.o openchannel.o putoptv.o readmessage.o readpacket.o sendmessage.o sendpacket.o slac_session.o strfbits.o todigit.o uintspec.o version.o slac_debug.o desuid.o
pev: pev.o Devices.o EthernetHeader.o QualcommHeader.o HomePlugHeader1.o UnwantedMessage.o channel.o closechannel.o config.o decdecode.o decstring.o error.o getoptv.o hexdecode.o hexdump.o hexencode.o hexstring.o memincr.o initchannel.o openchannel.o pev_cm_atten_char.o pev_cm_mnbc_sound.o pev_cm_slac_match.o pev_cm_slac_param.o pev_cm_start_atten_char.o pev_cm_set_key.o putoptv.o readmessage.o readpacket.o sendmessage.o sendpacket.o slac_connect.o slac_session.o strfbits.o todigit.o uintspec.o version.o slac_debug.o desuid.o

# ====================================================================
# includes;
# --------------------------------------------------------------------

include ../tools/tools.mak
include ../ether/ether.mak
include ../mme/mme.mak
include ../plc/plc.mak
include ../key/key.mak

=== tools/Makefile ===
#!/bin/make -f
# file: tools/Makefile

# ====================================================================
# environment definitions;
# --------------------------------------------------------------------

include ../make.def

# ====================================================================
# symbols;
# --------------------------------------------------------------------

CFLAGS+=
LDFLAGS+=
TRASH=*.o *.obj *.exe t t.* *~ *.[0-9][0-9][0-9]
FILES=Makefile *.mak *.sh *.txt *.c *.h *.xml *.css
TOOLS=
PAGES=

# ====================================================================
# pseudo targets;
# --------------------------------------------------------------------

all compile: ${TOOLS}
compact: compile
	if [ ! -z ${STRIP} ]; then ${STRIP} ${TOOLS}; fi
	if [ -x /usr/local/bin/upx ]; then upx --best ${TOOLS}; fi
library:
	install -m ${DIR_PERM} -o ${OWNER} -g ${GROUP} -d ${BIN}
scripts:
manuals:
#	install -m ${MAN_PERM} -o ${OWNER} -g ${GROUP} ${PAGES} ${MAN}
install: $(TOOLS) library
#	install -m ${BIN_PERM} -o ${OWNER} -g ${GROUP} ${TOOLS} ${BIN}
uninstall:
	cd ${BIN}; rm -f ${TOOLS}
	cd ${MAN}; rm -f ${PAGES}
check: 
	${SHELL} tools.sh
fresh: clean compile
clean:
	rm -f ${TOOLS} ${TRASH}
ignore:
	echo ${TOOLS} | tr ' ' '\n' > .gitignore

# ====================================================================
#
# --------------------------------------------------------------------

%: %.o
	${CC} -o ${@} ${^} ${LDFLAGS}
%.o: %.c
	${CC} -c ${<} ${CFLAGS}
%.h: %.h

# ====================================================================
# programs;
# --------------------------------------------------------------------

grab: grab.o getoptv.o putoptv.o version.o basespec.o todigit.o error.o efreopen.o

# ====================================================================
# libraries;
# --------------------------------------------------------------------

libmtools.a: binout.o bytespec.o confirmfilename.o checksum32.o dataspec.o decdecode.o decout.o emalloc.o reverse.o error.o fdchecksum32.o filepart.o getoptv.o hexdecode.o hexdump.o hexencode.o hexin.o hexout.o hexstring.o hexview.o regview.o ipv4spec.o ipv6spec.o memdecr.o memincr.o memswap.o output.o putoptv.o strdecr.o strfbits.o strincr.o synonym.o todigit.o typename.o basespec.o uintspec.o version.o
	rm -f ${@}
	$(AR) rc ${@} ${^}
	$(RANLIB) ${@}

# ====================================================================
#
# --------------------------------------------------------------------

include ../nodes/nodes.mak

=== debian/changelog ===
open-plc-utils (0.0.6+git20250712.46c3506-1) unstable; urgency=medium

  * New upstream version, commit 46c3506.
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <leepen@debian.org>  Mon, 18 Aug 2025 09:26:05 +0100

=== debian/control ===
Source: open-plc-utils
Section: net
Priority: optional
Maintainer: Mark Hindley <leepen@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/LeePen/open-plc-utils.git
Vcs-Browser: https://salsa.debian.org/LeePen/open-plc-utils
Homepage: https://github.com/qca/open-plc-utils

Package: plc-utils
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libcap2-bin, sudo
Suggests: plc-utils-extra
Description: Toolkit for HomePlug Powerline network adapters with Atheros chipsets
 Utilities for users to query information from and flash firmware to the adapter
 chipsets.
 .
  - amptool: AR7400 and QCA7450 chipsets.
  - plctool: QCA6410, QCA7000 and QCA7420 chipsets.
  - int6k: INT6000, INT6300 and INT6400 legacy chipsets.

Package: plc-utils-extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: plc-utils, ${misc:Depends}, ${shlibs:Depends}
Description: Extended toolkit for HomePlug Powerline network adapters with Atheros chipsets
 Additional tools and utilities that might be of use to hardware
 engineers and software developers working with Atheros Powerline
 chipsets and the HomePlug 1.0 and HomePlug AV protocols (IEEE-802.3).

Package: plc-utils-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Suggests: plc-utils
Description: Additional documentation from the Atheros Powerline toolkit
 Upstream developer documentation in HTML format relating to the
 toolkit utilities, chipsets and HomePlug 1.0 and HomePlug AV
 protocols (IEEE-802.3).

=== debian/tests/control ===
Test-command: plctool -i lo -vr
Restrictions: needs-root, allow-stderr
